Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421359 - [abrt] Thunar: thunar_shortcuts_model_set_busy(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: thunar_shortcuts_model_set_busy(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1b1b19a129a52997f6fe6e53617...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 13:48 UTC by Фукидид
Modified: 2017-12-12 13:40 UTC (History)
3 users (show)

Fixed In Version: Thunar-1.6.13-1.fc27 Thunar-1.6.13-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:24:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.78 KB, text/plain)
2017-02-11 13:48 UTC, Фукидид
no flags Details
File: cgroup (259 bytes, text/plain)
2017-02-11 13:48 UTC, Фукидид
no flags Details
File: core_backtrace (5.95 KB, text/plain)
2017-02-11 13:48 UTC, Фукидид
no flags Details
File: dso_list (10.23 KB, text/plain)
2017-02-11 13:48 UTC, Фукидид
no flags Details
File: environ (585 bytes, text/plain)
2017-02-11 13:48 UTC, Фукидид
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-11 13:49 UTC, Фукидид
no flags Details
File: maps (51.03 KB, text/plain)
2017-02-11 13:49 UTC, Фукидид
no flags Details
File: mountinfo (3.36 KB, text/plain)
2017-02-11 13:49 UTC, Фукидид
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-11 13:49 UTC, Фукидид
no flags Details
File: open_fds (2.69 KB, text/plain)
2017-02-11 13:49 UTC, Фукидид
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-11 13:49 UTC, Фукидид
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-02-11 13:49 UTC, Фукидид
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2017-02-11 13:49 UTC, Фукидид
no flags Details

Description Фукидид 2017-02-11 13:48:42 UTC
Version-Release number of selected component:
Thunar-1.6.10-6.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/Thunar --daemon
crash_function: thunar_shortcuts_model_set_busy
executable:     /usr/bin/thunar
global_pid:     26122
kernel:         4.9.4-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 thunar_shortcuts_model_set_busy at thunar-shortcuts-model.c:2163
 #1 thunar_shortcuts_view_unmount_finish at thunar-shortcuts-view.c:2027
 #2 thunar_device_operation_finish at thunar-device.c:275
 #3 g_simple_async_result_complete at gsimpleasyncresult.c:801
 #4 unmount_cb at gproxymount.c:551
 #5 g_task_return_now at gtask.c:1121
 #6 g_task_return at gtask.c:1179
 #7 reply_cb at gdbusproxy.c:2583
 #8 g_task_return_now at gtask.c:1121
 #9 g_task_return at gtask.c:1179

Potential duplicate: bug 901903

Comment 1 Фукидид 2017-02-11 13:48:49 UTC
Created attachment 1249292 [details]
File: backtrace

Comment 2 Фукидид 2017-02-11 13:48:51 UTC
Created attachment 1249293 [details]
File: cgroup

Comment 3 Фукидид 2017-02-11 13:48:53 UTC
Created attachment 1249294 [details]
File: core_backtrace

Comment 4 Фукидид 2017-02-11 13:48:55 UTC
Created attachment 1249295 [details]
File: dso_list

Comment 5 Фукидид 2017-02-11 13:48:58 UTC
Created attachment 1249296 [details]
File: environ

Comment 6 Фукидид 2017-02-11 13:49:00 UTC
Created attachment 1249297 [details]
File: limits

Comment 7 Фукидид 2017-02-11 13:49:03 UTC
Created attachment 1249298 [details]
File: maps

Comment 8 Фукидид 2017-02-11 13:49:05 UTC
Created attachment 1249299 [details]
File: mountinfo

Comment 9 Фукидид 2017-02-11 13:49:07 UTC
Created attachment 1249300 [details]
File: namespaces

Comment 10 Фукидид 2017-02-11 13:49:09 UTC
Created attachment 1249301 [details]
File: open_fds

Comment 11 Фукидид 2017-02-11 13:49:11 UTC
Created attachment 1249302 [details]
File: proc_pid_status

Comment 12 Фукидид 2017-02-11 13:49:13 UTC
Created attachment 1249303 [details]
File: var_log_messages

Comment 13 Фукидид 2017-02-11 13:49:15 UTC
Created attachment 1249304 [details]
File: exploitable

Comment 14 Mukundan Ragavan 2017-02-11 23:33:17 UTC
ah .. this is the copy/move (or rename) action causing thunar to crash. Right?

I am waiting for an upstream release that fixes this issue almost completely.

Is the crash happening everytime you use Thunar?

Comment 15 Fedora End Of Life 2017-11-16 15:29:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora Update System 2017-11-26 23:26:09 UTC
Thunar-1.6.13-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d659d155e

Comment 17 Fedora Update System 2017-11-26 23:26:48 UTC
Thunar-1.6.13-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f1bb1f8e7

Comment 18 Fedora Update System 2017-11-28 06:45:36 UTC
Thunar-1.6.13-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9d659d155e

Comment 19 Fedora Update System 2017-11-28 07:24:23 UTC
Thunar-1.6.13-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f1bb1f8e7

Comment 20 Fedora End Of Life 2017-12-12 10:24:35 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 21 Fedora Update System 2017-12-12 11:17:43 UTC
Thunar-1.6.13-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-12-12 13:40:47 UTC
Thunar-1.6.13-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.